/* Fusionar con el Framework cuando este acabado. v1.3 15-02-14 */
/* general ___________________________________________________________________*/
body{
    background-size: 50%;
    background-position: 50% 50%;
}
*{
    //cursor: default;
    /* font-family: "Helvetica Neue", "Verdana", "Arial", "sans-serif"; */
    /*font-family: "Courier New";*/
    /*font-weight: light;*/
    //font-size: 16px;
    //line-height: 20px;
    /* text-shadow:rgba(255, 255, 255, 0.5) 0px 0.08em 0px;*/
    /* color:black; */
}
*:focus {
    /* Elimina el borde del foco en los campos input.*/
    outline:none;
}
::selection {
    /* Cambia el color de seleccion del input.*/
    background-color:transparent;
}
.fw_oculta, .pr_hide_class {
    display: none;
}
.fw_opacity {
    opacity: 0.3;
}
table{
    /* border-collapse: separate; */
}

/* cajas de dialogo _________________________________________________________ */
.fw_dlg_content {
    position: absolute;
    height:100px;
    width: 400px;
    background-color: rgb(255,255,255);
    -webkit-border-radius: 6px 6px;
    box-shadow: 0px 0px 25px rgba(0,0,0,0.4);
    box-sizing: border-box;
    overflow: hidden;
    padding: 10px;
}
.fw_dlg_contentlist {
    position: absolute;
    height:100px;
    width: 400px;
    background-color: rgb(255,255,255);
    -webkit-border-radius: 6px 6px;
    box-shadow: 0px 0px 25px rgba(0,0,0,0.4);
    box-sizing: border-box;
    overflow: hidden;
    padding-bottom: 60px;
}
.fw_dlg_bar {
    /*background-color: rgba(200,255,200,0.8);*/
    background-color: transparent;
    border-bottom: 1px solid rgb(200,200,200);
    /*box-shadow: 0px 10px 25px rgba(0,0,0,0.1);*/
    padding-top: 2px;
    padding-bottom: 6px;
    height:34px;
}
.fw_dlg_bar_title {
    font-weight:lighter;
    font-size: 1.3em;
    letter-spacing: 0.1em;
    padding-top: 4px;
    padding-left: 10px;
    width: 100%;
    color:black;
}
.fw_dlg_combo {
    position: absolute;
    height:100px;
    width: 120px;
    background-color: rgba(255,255,255,0.99);
    -webkit-border-radius: 6px 6px;
    box-shadow: 0px 0px 25px rgba(0,0,0,0.4);
    box-sizing: border-box;
    overflow: hidden;
}

/* listview y listados ______________________________________________________ */
.scroller{
    /*max-height: 900px;*/
    /*padding-top: 4px;*/
    top:0px;
                                                    /*border: 4px solid red;*/

    line-height: 300px;


}
.fw_list_body {
                                                   /*border: 10px solid red;*/
    height: 100px;
                                                    /*background-color:yellow;*/
    overflow: hidden;
    box-sizing: border-box;
                                                    /*border: 1px solid rgb(200,200,200);*/
}
.fw_list_body ul li  {
    border-bottom: 1px solid rgba(0,0,0,0.2);
}
.fw_list_body ul > li:nth-child(odd)  {
    background-color: rgba(0,0,0,0.02);
}

.fw_list_head {
    background-color: white;
    border-bottom: 1px solid rgb(192,192,192);
    box-shadow: 0px 10px 25px rgba(0,0,0,0.1);
    padding-top: 2px;
    padding-bottom: 6px;
    height:45px;
}
.fw_list_headtext {
    /*font-size: 30px;*/
    font-size: 2em;
                                                                 /*color:red;*/
}

/* listado normal ___________________________________________________________ */
.fw_list_item {
    /* item del listado normal */
    width: 100%;
    box-sizing: border-box;
    font-size: 1.2em;
    line-height: 1.2em;
    padding-top: 5px;
    padding-left: 5px;
    height: 32px;
    //background-color: white;
}
.fw_list_text{
    color:black;
    padding-top:1px;
    font-size: 1em;
    overflow: hidden;
                                                /*background-color: white;*/
}

.fw_list_bottombar{
    -webkit-border-bottom-left-radius: 4px;
    -webkit-border-bottom-right-radius: 4px;
    border:1px solid rgb(200,200,200);
    border-top:none;
    background-color:rgb(245,245,245);
    /*background-color: white;*/
    padding-left:10px;
    height: 38px;
    bottom: 10px;
}

/* listado con seleccion ____________________________________________________ */
.fw_list_item_select {
    /* item del listado que tiene seleccion */
    width: 100%;
    box-sizing: border-box;
    font-size: 1.2em;
    line-height: 1.2em;
    padding-left: 5px;
    height: 40px;
                                                    /*background-color: rgba(100,200,0,0.3);*//* verde claro */
}
.fw_list_item_selectbig {
    /* item del listado que tiene seleccion con imagenes */
    width: 100%;
    box-sizing: border-box;
    font-size: 1.2em;
    line-height: 1.2em;
    padding-left: 5px;
    padding-top: 9px;
    height: 50px;
                                                    /*background-color: cornflowerblue;*//* azul */
}
.fw_list_text_select{
    /* texto del list de seleccion */
    color:black;
                                                               /* color:green;*/
    padding-top:10px;
    font-size: 1.1em;
    overflow: hidden;
}
.fw_selected{
    /* barra de seleccion de listado */
/*    background-color:rgba(200,200,255,0.99);*/
    /*background-color:blue;*/
    background-color: rgba(200,200,255,0.99);

}

                                        .pr_select_establecimientos {
                                            background-color: red;
                                            height: auto;
                                        }
                                        .pr_select_establecimientos:hover {
                                           /*background-image: -webkit-linear-gradient(left, rgb(250, 250, 250), rgb(240, 240, 240));
                                           height: 50px;*/
                                        }

/* listado para seleccion de imagenes cuadradas _____________________________ */
.fw_img64sel {
    height: 98px;
    width: 98px;
    background-repeat: no-repeat;
    background-size: 100%;
    background-position: center;
                                            //background-color: rgba(100,100,0,0.4); /* kaki*/
}
.fw_list_itemimages ul li  {
    border:none;

}
.fw_list_itemimages ul > li:nth-child(odd)  {
    /*background-color: rgba(250,0,0,0.05);*/
}

.fw_titulo{
    padding-left:5px;
    padding-bottom:5px;
    font-size: 1.2em;
    color:cornflowerblue;
}

/*__________________________________________________________________ Imagenes */
.fw_img {
    height: 32px;
    width: 32px;
    padding: .5% 0;
    background-repeat: no-repeat;
    background-size: 100%;
    background-position: center;
    float: left;
    margin-right: 2%;
}
.fw_img48 {
    height: 48px;
    width: 48px;
    padding: .5% 0;
    background-repeat: no-repeat;
    background-size: 100%;
    background-position: center;
    float: left;
    margin-right: 2%;
}
.fw_img64 {
    height: 64px;
    width: 64px;
    padding: .5% 0;
    background-repeat: no-repeat;
    background-size: 100%;
    background-position: center;
    float: left;
    margin-right: 2%;
}

.fw_imgsel {                                                                    /* para seleccion en un boton*/
    height: 110px;
    width: 110px;
    background-repeat: no-repeat;
    background-size: 90% auto;
    background-position: center;
    margin-left:10px;
    box-sizing: border-box;
}
.fw_flag_es {background-image: url("../img/ES.png");}
.fw_flag_en {background-image: url("../img/UK.png");}
.fw_flag_fr {background-image: url("../img/FR.png");}
.fw_flag_pt {background-image: url("../img/PT.png");}
.fw_flag_it {background-image: url("../img/IT.png");}
.fw_flag_ca {background-image: url("../img/CA.png");}
.fw_flag_de {background-image: url("../img/GY.png");}

.fw_img_mas{background-image: url("../img/fw_mas.png");}
.fw_img_menos{background-image: url("../img/fw_menos.png");}
.fw_img_close { background-image:url("../img/fw_cerrar.png") }
.fw_img_delete { background-image:url("../img/fw_eliminar.png") }
.fw_img_save { background-image:url("../img/fw_guardar.png") }


/*_________________________________________________________ Tool Bars y menus */

/* Tool bar superior */
.cs_topbar{
    background-image: -webkit-linear-gradient(top, rgb(60, 60, 60), rgb(20, 20, 20));
    box-shadow: 0 4px 8px rgba(100,100,100,0.5);
}

/* Tool Bar de menus*/
.cs_menuh{
    /* white degradado */
   /*background-image: -webkit-linear-gradient(top, rgb(250, 250, 250), rgb(240, 240, 240));
    border-bottom: 1px solid rgb(192, 192, 192);*/
    /* black degradado */
    background-image: -webkit-linear-gradient(top, rgb(60, 60, 60), rgb(20, 20, 20));
    border-bottom: 1px solid black;
    box-shadow: 0 4px 8px rgba(100,100,100,0.5);
    /*  sin */
    /*background-color: transparent;
    background-image: -webkit-linear-gradient(top, rgba(255, 255, 0, 0), rgba(0, 0, 0, 1));
    border-bottom: 1px solid gray;*/
    /*box-shadow: 0 4px 8px rgba(100,100,100,0.5);*/
}
.cs_menuv{
    /* white */
    background-image: -webkit-linear-gradient(left, rgb(250, 250, 250), rgb(240, 240, 240));
    border-right: 1px solid rgb(192, 192, 192);
    /* black */
    background-image: -webkit-linear-gradient(left, rgb(60, 60, 60), rgb(20, 20, 20));
    border-right: 1px solid black;
    box-shadow: 4px 0 8px rgba(100,100,100,0.5);
}

/* texto del menu  */
.cs_text_menuitem{
    color:whitesmoke;
    opacity: 1;
    line-height: normal;
    font-size: 0.8em;
}
.cs_mainmenu_item{
    /*color:rgb(192,192,192);*/
    color:whitesmoke;
    cursor: pointer;
    opacity: 1;
}
.cs_mainmenu_item:hover{
    color:white;
}

/* imagenes de menu */
.cs_menuitemh {
    background-color: transparent;
    border-right: 1px solid rgba(255,255,255,0.2);
    cursor: pointer;
}
.cs_menuitemv{
    background-color: transparent;
    border-bottom: 1px solid rgba(255,255,255,0.2);
    cursor: pointer;
}
.cs_menuitemh:hover{
    background-color: rgba(255,255,255,0.1);
    /*color:rgb(128,128,128);*/
    border-bottom: 1px solid rgba(255,255,255,0.2);;
    cursor: pointer;
}
.cs_text_menuitem{
    background-color: transparent;
    font-weight:lighter;
    /*color:rgb(128,128,128);*/
    cursor: pointer;
}
.cs_img_menuh img{

    cursor: pointer;
}
.cs_img_menuv img{

    cursor: pointer;
}
.cs_menuitemv:hover{
    background-color: rgba(255,255,255,0.1);
    /*color:rgb(128,128,128);*/
    border-bottom: 1px solid rgba(255,255,255,0.2);;
    cursor: pointer;
}
.cs_img_bar_left{
    margin-left: 10px;
}
.cs_img_bar_right{
    margin-right: 10px;
}

/*  Barra de acciones */
.cs_actionsbar{
    background-color: transparent;
    border-bottom: 1px solid rgb(220, 220, 220);
    /*border-bottom: 2px solid red;*/
    margin-left: 3px;
}

#id_expandmainmenu{
    background-color: rgba(0,0,0,0.9);
}
#id_bar_cerrar, #id_bar_grabar, #id_bar_buscar, #id_bar_borrar{
    cursor:pointer;
}

/* Menu logout*/
#id_bt_logout{
    cursor:pointer;
    width:32px;
    height:32px;
}
.cs_logout_img{
    cursor:pointer;
    width:24px;
    height:24px;
    background-image: url("../img/fw_logout32.png");
}
.cs_logout_text{
    color:rgb(192,192,192);
    padding-left:5px;
}
.cs_logout_text:hover{
    cursor:pointer;
    color:rgb(240,100,100);
}

/*_____________________________________________________________ Capa de Login */
#id_capa_login{
    margin-top: 10%;
    padding-bottom: 10px;
/*background-color: lightcyan; */
/*    box-shadow: inset 0 8px 8px -8px rgba(0,0,0,0.4), inset 0px -20px 8px 8px rgba(0,0,0,0.4);*/
}
#id_flag_en,#id_flag_fr,#id_flag_de,#id_flag_es,#id_flag_it,#id_flag_pt,#id_flag_ca{
    margin-left: 10px;
}
#id_content_login{
    /*margin-top: 10px;*/
    padding-left: 10px;
    /*padding-right: 0;
    margin: 0;*/
/*background-color: lightskyblue; */
}
#id_login_txt{

    letter-spacing:0.1em;
    text-shadow:rgba(255, 255, 255, 0.5) 1px 0.08em 0px;
}
#id_bt_login{
        width:50%;
}
#id_dv_flags{
    padding-right: 36px;
    height:40px;
}

/*________________________________________________________ Message Box y wait */
#id_mw_window{
    /* Black*/
    /*border: 1px solid gray;
    background-color: rgba(0,0,0,0.9);
    width: 80%;
    margin-left:10%;
    box-shadow: 0px 0px 25px rgba(0,0,0,0.4);
    -webkit-border-radius: 4px;*/
    border:1px solid white;
    -webkit-border-radius: 4px;
    background-color: rgba(255,255,255,0.99);
    width: 60%;
    max-width:600px;
    margin-left:20%;
    box-shadow: 0px 0px 60px rgba(0,0,0,0.5);
    /*background-color: red;*/
}
#id_mw_wait{
    border:1px solid white;
    -webkit-border-radius: 4px;
    background-color: rgba(255,255,555,0.99);
    width: 40%;
    max-width:500px;
    margin-left:30%;
    box-shadow: 0px 0px 60px rgba(0,0,0,0.5);
/*    border: 1px solid rgb(128,128,128);
    border-bottom: none;
    opacity: 0.95;
    background-image: -webkit-gradient(linear, left top, left bottom,
        color-stop( 0.0, #c7c7c7 ),
        color-stop( 0.516, #2e2e2e ),
        color-stop( 0.544, #191919 ),
        color-stop( 1.0, #000000 ));*/
}
#id_mw_content{
    width:95%;
    /*background-color: red;*/
}
#id_mw_head{
    color:rgb(20,120,200);
/*                        background-color: yellowgreen;*/
    font-weight:lighter;
}
#id_mw_head h3{
    font-weight:lighter;
}
#id_mw_body{
   font-size: 1.2em;
   color:rgb(20,20,20);




}
.cs_wait{
    /*background-color: yellowgreen;*/
    height:19px;
    width:60%;
    /*min-width: 100px;
    max-width: 250px;*/
    margin-left:20%;
}

/*_________________________________________________________ Fondo de pantalla */
#id_modal_win{
/*    background-image: -webkit-radial-gradient(20% 30%, rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 1));
    opacity: 0.7;*/
//    background-color: rgba(0,0,0,0.4);
    background-color: transparent;


    /*-webkit-filter: blur(312px);
    filter: blur(310px);*/

                        /*color:transparent;
			text-shadow:0 0 9px black;
			margin:0 auto;
			background:#BFCFCC;
			width:580px;
			position:relative;
			height:200px;
			padding:10px;*/

}
#id_dlg_win{
    /*background-image: -webkit-radial-gradient(20% 30%, rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 1));
    background-color: transparent;
    opacity: 1;*/
    /* background-color: rgb(0,0,0); */
    /* background-color: transparent; */
    //background-color: rgba(0,0,0,0.4);
    //background-color: rgba(255,255,255,0.7);

}
#id_modal_win_wait{
    /*background-image: -webkit-radial-gradient(20% 30%, rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 1));*/
    background-color: transparent;
    opacity: 1;
}

/*_______________________________________________________________ Formularios */
.cs_area{
    background-color:transparent;
    box-sizing: border-box;
    /*border: 5px solid red;
    background-color:rgba(255,0,0,0.1);*/
}
.cs_areaflex{
    background-color:transparent;
    box-sizing: border-box;
}
.cs_ctrl_container{
    margin-top: 10px;
    width:100%;
    -webkit-border-radius: 4px;
    border: 1px solid rgb(250,250,250);
    box-shadow: 4px 4px 10px rgba(100,100,100,0.1),-4px -4px 10px rgba(100,100,100,0.1);
    box-sizing: border-box;
    background-color:rgba(255,255,255,0.6);
    overflow: hidden;

    /*border: 5px solid blueviolet;*/
    /*background-color:rgba(0,255,0,0.1);*/
}
.container-fluid{
   margin:0px;
   padding:10px;
   margin-left: 10px;
   box-sizing: border-box;

   /*border: 5px solid yellow;
   background-color:rgba(0,0,255,0.1);*/
}
.row-fluid{
   margin-top: 0px;
   margin: 0px;
   padding: 0px;
   box-sizing: border-box;

   /*border: 5px solid pink;
   background-color:rgba(0,255,255,0.1);*/
}
.row-fluid:first-child{
   /*box-sizing: border-box;*/

  /* border: 5px solid black;
   background-color:rgba(255,255,0,0.4);*/
}
.row-fluid [class*="span"]{
    margin-top:0px;
    margin-left:0px;
    padding:0px;

}
.span1,.span2,.span3,.span4,.span5,.span6,.span7,.span8,.span9,.span10,.span11,.span12{
    margin:0px;
    padding:0px;
/*    border: 1px dashed red;
    box-sizing: border-box;*/
}
.cs_bar_title{
    font-weight:lighter;
    letter-spacing: 0.1em;
    padding-top: 14px;
    font-family: "Helvetica Neue","Helvetica","Arial","sans-serif";
    /*width:70%;*/
    /*background-color: yellowgreen;*/
}
.cs_campo{
    text-overflow: ellipsis;
    margin-top: 10px;
    background-color: white;
    height: 40px;
    border-style: solid;
    border-color: rgb(200,200,200);
    border-width: 1px;
    -webkit-border-radius : 4px;
    color: black;
    padding-left: 10px;
    resize: none;
    outline: none;
}

/*______________________________________________________________ Menus mobile  */
.cs_appname{
    color:whitesmoke;
    padding-left:20px;
    font-weight: lighter;
    /*font-size: 1.2em;*/
    letter-spacing: 0.1em;
    padding-top: 14px;
    /*text-shadow:rgba(255, 255, 255, 1) 0.08em 0.08em 0px;*/
}
.cs_opt_menu{
    color:rgb(192,192,192);
    padding-left:20px;
    border-bottom: 1px solid rgba(255,255,255,0.1);
}
.cs_opt_submenu{
    color:rgb(192,192,192);
    padding-left:20px;
    border-bottom: 1px solid rgba(255,255,255,0.1);
}
.cs_submenu{
    background-color: rgba(20,20,20,0.8);
}
.cs_opt_logout{
    height:32px;
    margin:0;
    padding:12px 0 0 12px;;
    /*border-bottom: 1px solid rgba(255,0,0,0.1);*/
}
.cs_opt_logout:hover{
    /*border-bottom: 1px solid rgba(255,0,0,0.1);*/
}
.act_logout{
    /*background-color: rgba(255,167,0,0.3);*/
}

.cs_opt_menu:hover, .cs_opt_submenu:hover{
    cursor:pointer;
    color:rgb(240,240,240);
}

.visible-phone{
    background-image: -webkit-linear-gradient(top, rgb(60, 60, 60), rgb(20, 20, 20));
    box-shadow: 0 4px 8px rgba(100,100,100,0.5);
}
#id_bt_expandmainmenu{
    box-shadow: none;

}
.hidden-phone{
    /* Saca la barra de mobile que esta detras del tool bar*/
    /*background-image: -webkit-linear-gradient(top, rgb(60, 60, 60), rgb(20, 20, 20));*/
    background-image: none;
    background-color:transparent
}

.cs_copyright{
    color:rgb(128,128,128);
}
#id_bottombar{
    height:44px;
    box-shadow: 0 -4px 8px rgba(100,100,100,0.5);
}
#id_list_body{
    height: 140px;
    background-color:red;
    border: 10px solid black;
    overflow: hidden;
    box-sizing: border-box;
}



.h_cs_inner_container {
    background-color: transparent;
    width: 400px;
    height: 100%;
    overflow: hidden;
    float: left;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
.h_cs_pagelist{
    list-style:none;
    margin:0;
    -webkit-box-sizing:border-box;
    -moz-box-sizing:border-box;
    box-sizing:border-box
}


/*=============================================================== Media Query */
@media screen and (max-width:400px){
    body{
    }
    .cs_appname{            /* titulo aplicacion*/
        /*color:red;*/
        padding-left:10px;
        letter-spacing: 0;
        font-size: 1.5em;
    }
    /* Opciones de menus*/
    .cs_opt_menu{
        /*color:red;*/
        padding-left:10px;
        font-size: 1.1em;
    }
    .cs_opt_submenu{
        /*color:yellow;*/
        font-size: 1em;
    }


    #id_bt_hoy{
        display:block;
    }



    .cs_ctrl_container{
        /*background-color: yellowgreen;*/
        -webkit-border-radius: 0px;
        border: none;
        margin: 10px 0 0 0;
        padding:0 0 0 0;
        box-shadow: none;
        width: 100%;
    }

    .cs_area, .cs_areaflex{
        padding: 0;
        margin: 0;
    }
    .container-fluid{
        /*background-color: orange;*/
        padding: 0px;
        margin: 0px;
    }
    /*.span6 cs_areaflex{
        background-color: red;
        padding: 0px;
        margin: 0px;
    }*/
    .act_forma{
        margin-left: 0px;
        padding: 0px;
    }

    .row-fluid [class*="span"]{
        margin-left:0px;
    }
    .row-fluid [class*="fw_campo"]{
        /*background-color: green;*/
        width: 100%;
    }
    .fw_campo_combo,.fw_campo_combo_calendar,.fw_campo_combo_mini{
        background-color: green;
    }
    .fw_campolist{
        -webkit-border-radius: 0px;
        /*background-color: blue;*/
    }


    .fw_dlg_contentlist{
        /*width:80%;*/
        /*top: 10px;
        left:10px;*/
        /*background-color: blue;*/
    }


/*    #id_list_body_clients{
        width:300px;
         background-color: blue;

    }*/


    /*.fw_list_head{
        color: orange;

    }*/

    .cs_actionsbar{             /* barra de iconos*/
        height:44px;
        background-color: rgb(235,235,235);
        padding: 0px;
        margin: 0px;
    }
    .cs_img_bar{                /* imagen de los iconos*/
        width: 2.1em;
    }
    .cs_img_bar_right, .cs_img_bar_left{
        /*width: 2.3em;*/

    }

     /*img {
         width: 2.3em;
         margin: opx;
         padding: 0px;

     }*/

     /*img {
         filter: url(filter.svg#gris);
         filter: gray;
         -webkit-filter: grayscale(1);
     }

     img:hover {
         filter: none;
         -webkit-filter: grayscale(0);
     }*/

     /*.desaturada{
         filter: grayscale(1);

        -webkit-filter: grayscale(1);
         -moz-filter: grayscale(1);
         -ms-filter: grayscale(1);
         -o-filter: grayscale(1);
         filter: url(filter.svg#gris);
         filter: gray;

     } */
}
/*
@media screen and (min-width:768px){
    body{
        font-size: 11pt;
    }
    .container-fluid{
        padding:0px;
    }
    .cs_topbar{
        box-shadow: none;
    }
    .cs_appname{
        color:whitesmoke;
        padding-left:20px;
        letter-spacing: 0em;
    }
    #id_bt_hoy{
        display:block;
    }
}

@media screen and (min-width:1024px){
    body{
        font-size: 12pt;
    }
    .cs_topbar{
        box-shadow: 0 4px 8px rgba(100,100,100,0.5);
    }
    .container-fluid{
        padding:0px;
    }
    #id_bt_hoy{
        display:block;
    }
}

   */

  /*
   #id_dlg_content{
       background-color: red;
       border: 10px solid black;
       box-sizing: border-box;

   }

   */


